summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--adapted/binutils-ia16/.SRCINFO2
-rw-r--r--adapted/binutils-ia16/PKGBUILD21
2 files changed, 16 insertions, 7 deletions
diff --git a/adapted/binutils-ia16/.SRCINFO b/adapted/binutils-ia16/.SRCINFO
index e366d8d..3f418d2 100644
--- a/adapted/binutils-ia16/.SRCINFO
+++ b/adapted/binutils-ia16/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = binutils-ia16
pkgdesc = IA-16 (Intel 16-bit x86) port of GNU Binutils
pkgver = 20221221
- pkgrel = 1
+ pkgrel = 2
url = https://github.com/tkchia/binutils-ia16
arch = x86_64
license = GPL
diff --git a/adapted/binutils-ia16/PKGBUILD b/adapted/binutils-ia16/PKGBUILD
index 6e694ac..311da43 100644
--- a/adapted/binutils-ia16/PKGBUILD
+++ b/adapted/binutils-ia16/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Sebastiaan de Schaetzen <sebastiaan.de.schaetzen@gmail.com>
pkgname=binutils-ia16
pkgver=20221221
-pkgrel=1
+pkgrel=2
epoch=
pkgdesc="IA-16 (Intel 16-bit x86) port of GNU Binutils"
arch=('x86_64')
@@ -18,18 +18,27 @@ build() {
cd build-binutils
unset CPPFLAGS
../binutils-ia16-$pkgver/configure \
- --prefix=/ \
- --bindir=/usr/bin \
- --libdir=/usr/lib/ia16-elf/ \
+ --prefix=/usr \
--target=ia16-elf \
+ --enable-ld=default \
+ --enable-gold=yes \
+ --enable-targets=ia16-elf \
+ --enable-x86-hpa-segelf=yes \
+ --bindir=/usr/bin \
+ --libdir=/usr/lib/ia16-elf \
--disable-gdb \
--disable-libdecnumber \
--disable-readline \
--disable-sim \
--disable-nls \
--disable-werror
- make configure-host
- make tooldir=/usr
+ make
+}
+
+check() {
+ cd build-binutils
+ # some debugging tests fail currently
+ make -k check || :
}
package() {